Node.js SDK
import Migma from 'migma';
const migma = new Migma('YOUR_API_KEY');
const { data, error } = await migma.webhooks.update('WEBHOOK_ID', {
active: false
});curl --request PATCH \
--url https://api.migma.ai/v1/webhooks/{webhookId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"events": [
"<string>"
],
"active": true,
"description": "<string>",
"customHeaders": {}
}
'import requests
url = "https://api.migma.ai/v1/webhooks/{webhookId}"
payload = {
"url": "<string>",
"events": ["<string>"],
"active": True,
"description": "<string>",
"customHeaders": {}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
{
"success": true,
"data": {
"success": true
},
"error": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}Update Webhook
Update a webhook configuration. Requires API key with webhook:write.
PATCH
/
v1
/
webhooks
/
{webhookId}
Node.js SDK
import Migma from 'migma';
const migma = new Migma('YOUR_API_KEY');
const { data, error } = await migma.webhooks.update('WEBHOOK_ID', {
active: false
});Authorizations
API key authentication. Use 'Authorization: Bearer YOUR_API_KEY' where YOUR_API_KEY is obtained from the Migma dashboard under Settings → Developers → API Keys.
Path Parameters
Webhook ID (MongoDB ObjectId)
Pattern:
^[0-9a-fA-F]{24}$Body
application/json
The webhook endpoint URL (must be HTTPS)
Array of event types to subscribe to
Minimum array length:
1Whether the webhook is active
Optional description for the webhook
Optional custom headers to include in webhook requests
Show child attributes
Show child attributes
Last modified on September 1, 2026
Was this page helpful?